package com.huatek.busi.service;

import com.huatek.busi.entity.*;

import java.util.List;

public interface CableNumberService {



    /**
     * 电缆状态
     *
     */
    List<CableStatus> findCableStatus();

    /**
     * 电缆故障,在线,总数查询
     *
     */
    EquipmentSumNumber findSumCableNumber() throws Exception;


    /**
     * 电缆外挂装置查询并将计算值加入Cache表
     *
     */
    int findCableNumber() throws Exception;


    /**
     * 从缓存表查询电缆在线率
     *
     */
    List<EquipmentSensorCache> findCableSensorNumber(String mainEquipmentId);



    /**
     * 从缓存表查询总电缆在线率
     *
     */
    EquipmentSumSensorCache findSumCableSensorNumber();


}
